package com.fzm.common.service.impl;

import cn.fzm.chain.simplesdk.client.ParaChainClient;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Nft;
import com.fzm.common.mapper.NftMapper;
import com.fzm.common.service.NftService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/30 15:55
 */
@Service
public class NftServiceImpl extends ServiceImpl<NftMapper, Nft> implements NftService {

    @Resource
    private ParaChainClient paraChainClient;

    @Resource
    private NftMapper nftMapper;

    @Override
    public String publish(Nft nft) {
        save(nft);
        //return paraChainClient.evmPublishNFT1155();
        return null;
    }

    @Override
    public List<Nft> list(Integer pageNum, Integer pageSize, Integer categoryId) {
        return nftMapper.list(pageNum,pageSize,categoryId);
    }
}
